/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WPUTNS.C    - displays a string of specified width to active window  */

#include "cxlwin.h"

int wputns(char *str,int width)
{
    register int i;
    char *p;

    /* check for active window */
    if(!_winfo.total) return(_winfo.errno=W_NOACTIVE);

    /* display the string truncating or padding as needed */
    for(p=str,i=0;i<width;i++) wputc((*p)?(*p++):' ');

    /* return normally */
    return(_winfo.errno=W_NOERROR);
}
