/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WREADCUR.C  - reads current cursor location inside window   */

#include "cxlvid.h"
#include "cxlwin.h"

int wreadcur(int *wrow,int *wcol)
{
    int row,col;

    /* check for active window */
    if(!_winfo.total) return(_winfo.errno=W_NOACTIVE);

    /* read effective cursor coordinates */
    readcur(&row,&col);                 

    /* calculate window cursor coordinates */
    *wrow=row-_winfo.active->srow-_winfo.active->border;
    *wcol=col-_winfo.active->scol-_winfo.active->border;

    /* return normally */
    return(_winfo.errno=W_NOERROR);
}
