/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WSELSTR.C  */

#include "cxlmou.h"
#include "cxlwin.h"

int wselstr(int wrow,int wcol,int attr,char *strarr[],int initelem)
{
    register int i,mouse;

    /* check for active window */
    if(!_winfo.total) {
        _winfo.errno=W_NOACTIVE;
        return(-1);
    }

    /* disable mouse cursor mode */
    if((mouse=_mouse)!=MS_NONE) mssupport(MS_KEYS);

    /* call the string picker to do the actual work */
    i=wpickstr(_winfo.active->srow+_winfo.active->border+wrow,
               _winfo.active->scol+_winfo.active->border+wcol,
               _winfo.active->srow+_winfo.active->border+wrow,
               -1,5,attr,attr,attr,strarr,initelem,NULL);

    /* reset mouse mode */
    _mouse=mouse;

    /* check for error return from string picker */
    if(i==-1) return(i);

    /* display selection */
    wprints(wrow,wcol,attr,strarr[i]);

    /* return array subscript of string selected. */
    /* leave _winfo.errno as set by wpickstr().   */
    return(i);
}
