/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WSCROLL.C   - scrolls active window up or down  */

#include <dos.h>
#include "cxlwin.h"

int wscroll(int count,int direction)
{
    register int numrows,border;
    union REGS regs;

    /* check for active window */
    if(!_winfo.total) return(_winfo.errno=W_NOACTIVE);

    /* check for window border */
    border=_winfo.active->border;

    /* check scroll count against number of rows in scroll boundary */
    numrows= _winfo.active->erow-border - _winfo.active->srow+border + 1 ;
    if(count > numrows) count=numrows;

    /* use BIOS function call 6 (up) or 7 (down) to scroll window */
    regs.h.bh=_winfo.active->wattr;
    regs.h.ch=_winfo.active->srow+border;
    regs.h.cl=_winfo.active->scol+border;
    regs.h.dh=_winfo.active->erow-border;
    regs.h.dl=_winfo.active->ecol-border;
    regs.h.al=count;
    regs.h.ah=((direction==SDOWN)?7:6);
    int86(0x10,&regs,&regs);

    /* return with no error */
    return(_winfo.errno=W_NOERROR);
}
